Documentation Index
Fetch the complete documentation index at: https://veniceai-feat-rag-bot-article.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Venice supports additional capabilities within it’s models that can be powered by the venice_parameters input on the chat completions endpoint.
In certain circumstances, you may be using a client that does not let you modify the request body. For those platforms, you can utilize Venice’s Model Feature Suffix offering to pass flags in via the model ID.
Syntax
The Model Feature Suffix follows this pattern:
<model_id>:<parameter>=<value>
For multiple parameters, chain them with &:
<model_id>:<parameter1>=<value1>&<parameter2>=<value2>&<parameter3>=<value3>
Examples
To Set Web Search to Auto
default:enable_web_search=auto
To Enable Web Search and Disable System Prompt
default:enable_web_search=on&include_venice_system_prompt=false
To Enable Web Search and Add Citations to the Response
default:enable_web_search=on&enable_web_citations=true
To Enable Web Search with Full Page Scraping
default:enable_web_search=on&enable_web_scraping=true
To Use a Character
default:character_slug=alan-watts
To Hide Thinking Blocks on a Reasoning Model Response
qwen3-4b:strip_thinking_response=true
To Disable Thinking on Supported Reasoning Models
Certain reasoning models (like Qwen 3) support disabling the thinking process. You can activate using the suffix below:
qwen3-4b:disable_thinking=true
To Add Web Search Results to a Streaming Response
This will enable web search, add citations to the response body and include the search results in the stream as the final response message.
You can see an example of this in our Postman Collection here.
qwen3-4b:enable_web_search=on&enable_web_citations=true&include_search_results_in_stream=true
Postman Example
You can view an example of this feature in our Postman Collection here.